Skip to navigation

Modify a Virtual Account

View as Markdown
This endpoint allows you to modify existing accounts or reopen previously closed virtual accounts. You can modify the account's description, tax ID, address as well as specify whether the virtual account will allow credits or debits to post.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

This endpoint expects an object.
actionenumRequired

Type of action that will be applied to virtual account. Actions that can be chosen are:
- CreditDebitPreferences
- Reopen
- Modify

Allowed values:
branch_codestringRequired<=4 characters
virtual_account_numberstringRequired<=40 characters
specifies the virtual account that has to be updated.
account_descriptionstringOptional<=105 characters

Description for the previously mentioned virtual account.

This parameter is conditional if the action = ‘Modify’.

addressobjectOptional

Address Details of the entity to which the previously mentioned Virtual Account is assigned to.

This parameter is conditionally mandatory only for action = ‘Modify’.

credit_debit_preferencesobjectOptional
tax_payer_idstringOptional<=10 characters

Tax payer ID to which entity the previously mentioned virtual account is assigned to.

This parameter is mandatory only when the action = ‘Modify’.

Response

Accepted
messagestring<=400 characters
Detailed response description for given request.
request_idstring<=40 characters

Auto-generated unique identification assigned for the request.

statusstring<=20 characters
Status of the request.

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error